Public Class MainForm
    Public rx As Integer = 50
    Public ry As Integer = 50
    Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        'Failsafe
        If My.Settings.FriendName = "" Then
            Dim x
            x = InputBox("Your friend does not have a name... Give him a name:")
            My.Settings.FriendName = x
            If x = "" Then
                MsgBox("Your friend still don't have a name... You are not nice!", MsgBoxStyle.Exclamation, "Viritual Friends")
                My.Settings.FriendDeathPoints = My.Settings.FriendDeathPoints + 1
                My.Settings.FriendName = "NO NAME"
            End If
        End If

        'Reloading Labels
        UpdateLabels()

        'Reloading Happyness label
     

        'Reloading Fat level label


        'Starting Timers
        TimerBlinkEye.Start()

        'Initialize tooltips
        ttHelp.SetToolTip(btnSmokeWeed, "Buy some hot weed, it costs 500$")
        ttHelp.SetToolTip(btnAsprin, "Buy some healing asprin, it costs 999$")

    End Sub

    Public Function GetRandom(ByVal Min As Integer, ByVal Max As Integer) As Integer
        Dim Generator As System.Random = New System.Random()
        Return Generator.Next(Min, Max)
    End Function

    Private Sub btnEnter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnter.Click
        'Chat Greetings
        If txtCommand.Text.ToLowerInvariant = "hei" Then
            txtDev1.Text += Environment.NewLine + "Type - Greetings"
            Dim b As String() = Split(txtDev1.Text, vbNewLine)
            txtDev1.Text = String.Join(vbNewLine, b, 1, b.Length - 1)
            Dim voice = CreateObject("SAPI.SpVoice")
            Dim rs As Integer
            rs = GetRandom(1, 20)
            If rs = 1 Then
                voice.speak("Hello there!")
                txtDev1.Text += Environment.NewLine + "Case - 1"
                Dim b1 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b1, 1, b1.Length - 1)
            ElseIf rs = 2 Then
                voice.speak("Hi")
                txtDev1.Text += Environment.NewLine + "Case - 2"
                Dim b2 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b2, 1, b2.Length - 1)
            ElseIf rs = 3 Then
                txtDev1.Text += Environment.NewLine + "Case - 3"
                Dim b3 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b3, 1, b3.Length - 1)
            ElseIf rs = 4 Then
                txtDev1.Text += Environment.NewLine + "Case - 4"
                Dim b4 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b4, 1, b4.Length - 1)
            ElseIf rs = 5 Then
                txtDev1.Text += Environment.NewLine + "Case - 5"
                Dim b5 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b5, 1, b5.Length - 1)
            ElseIf rs = 6 Then
                txtDev1.Text += Environment.NewLine + "Case - 6"
                Dim b6 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b6, 1, b6.Length - 1)
            ElseIf rs = 7 Then
                txtDev1.Text += Environment.NewLine + "Case - 7"
                Dim b7 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b7, 1, b7.Length - 1)
            ElseIf rs = 8 Then
                txtDev1.Text += Environment.NewLine + "Case - 8"
                Dim b8 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b8, 1, b8.Length - 1)
            ElseIf rs = 9 Then
                txtDev1.Text += Environment.NewLine + "Case - 9"
                Dim b9 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b9, 1, b9.Length - 1)
            ElseIf rs = 10 Then
                txtDev1.Text += Environment.NewLine + "Case - 10"
                Dim b10 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b10, 1, b10.Length - 1)
            ElseIf rs = 11 Then
                txtDev1.Text += Environment.NewLine + "Case - 11"
                Dim b11 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b11, 1, b11.Length - 1)
            ElseIf rs = 12 Then
                txtDev1.Text += Environment.NewLine + "Case - 12"
                Dim b12 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b12, 1, b12.Length - 1)
            ElseIf rs = 13 Then
                txtDev1.Text += Environment.NewLine + "Case - 13"
                Dim b13 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b13, 1, b13.Length - 1)
            ElseIf rs = 14 Then
                txtDev1.Text += Environment.NewLine + "Case - 14"
                Dim b14 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b14, 1, b14.Length - 1)
            ElseIf rs = 15 Then
                txtDev1.Text += Environment.NewLine + "Case - 15"
                Dim b15 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b15, 1, b15.Length - 1)
            ElseIf rs = 16 Then
                txtDev1.Text += Environment.NewLine + "Case - 16"
                Dim b16 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b16, 1, b16.Length - 1)
            ElseIf rs = 17 Then
                txtDev1.Text += Environment.NewLine + "Case - 17"
                Dim b17 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b17, 1, b17.Length - 1)
            ElseIf rs = 18 Then
                txtDev1.Text += Environment.NewLine + "Case - 18"
                Dim b18 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b18, 1, b18.Length - 1)
            ElseIf rs = 19 Then
                txtDev1.Text += Environment.NewLine + "Case - 19"
                Dim b19 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b19, 1, b19.Length - 1)
            ElseIf rs = 20 Then
                txtDev1.Text += Environment.NewLine + "Case - 20"
                Dim b20 As String() = Split(txtDev1.Text, vbNewLine)
                txtDev1.Text = String.Join(vbNewLine, b20, 1, b20.Length - 1)

            End If
        End If
    End Sub

    Private Sub TimerAge_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TimerAge.Tick
        My.Settings.FriendAge = My.Settings.FriendAge + 1
        lblAge.Text = My.Settings.FriendAge & " Hours old"
    End Sub

    Private Sub TimerBlinkEye_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TimerBlinkEye.Tick
        pgbBlinkEye.Increment(1)
        If pgbBlinkEye.Value = 1 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Main_wo_hair
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Main_wo2
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Main_wo3
            End If
        End If
            If pgbBlinkEye.Value = 2 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default_wEyeshadow2
            End If

            pbxLeftEye.Visible = False
            pbxRightEye.Visible = False
            'LogCat Report
            txtDev2.Text += Environment.NewLine + "Performing Eyeblink"
        End If
        If pgbBlinkEye.Value = 3 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1_wEyeshadow2
            End If
        End If
            If pgbBlinkEye.Value = 4 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 5 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 6 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 7 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 8 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_6
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_6_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_6_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 9 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_5_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 10 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_4_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 11 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_3_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 12 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_2_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 13 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_1_wEyeshadow2
            End If
            End If
            If pgbBlinkEye.Value = 14 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default_wEyeshadow
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Blink_Eyes_Default_wEyeshadow2
            End If
            End If
        If pgbBlinkEye.Value = 15 Then
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Main_wo_hair
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Main_wo2
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Main_wo3
            End If
            pbxLeftEye.Visible = True
            pbxRightEye.Visible = True
            rx = GetRandom(50, 170)
            'LogCat Report
            txtDev2.Text += Environment.NewLine + "Performed Eyeblink - " & rx
            Dim b As String() = Split(txtDev2.Text, vbNewLine)
            txtDev2.Text = String.Join(vbNewLine, b, 1, b.Length - 1)
        End If
            'Reset
            If pgbBlinkEye.Value = rx Then
                ry = GetRandom(50, 90)
                TimerBlinkEye.Interval = ry
                txtDev2.Text += Environment.NewLine + "Timer1 Interval: - " & ry
                Dim b As String() = Split(txtDev2.Text, vbNewLine)
                txtDev2.Text = String.Join(vbNewLine, b, 1, b.Length - 1)
                pgbBlinkEye.Value = 0
            End If
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Dim x
        x = MsgBox("Are you sure you want to exit?", MsgBoxStyle.Question + MsgBoxStyle.YesNo, "Viritual Friends")
        If x = vbYes Then
            Me.Close()
        End If
    End Sub

    Private Sub DeveloperModeToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DeveloperModeToolStripMenuItem.Click
        If pnlDeveloper.Visible = False Then
            pnlDeveloper.Visible = True
            DeveloperModeToolStripMenuItem.Checked = True
            TimerUpdateValues.Start()
        Else
            pnlDeveloper.Visible = False
            DeveloperModeToolStripMenuItem.Checked = False
            TimerUpdateValues.Stop()
        End If
    End Sub

    Private Sub HideStatusfieldToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles HideStatusfieldToolStripMenuItem.Click
        If pnlStauts.Visible = False Then
            pnlStauts.Visible = True
            HideStatusfieldToolStripMenuItem.Checked = False
        Else
            HideStatusfieldToolStripMenuItem.Checked = True
            pnlStauts.Visible = False
        End If
        If pnlCash.Visible = False Then
            pnlCash.Visible = True
            HideStatusfieldToolStripMenuItem.Checked = False
        Else
            HideStatusfieldToolStripMenuItem.Checked = True
            pnlCash.Visible = False
        End If
    End Sub

    Private Sub btnSmokeWeed_Click(sender As System.Object, e As System.EventArgs) Handles btnSmokeWeed.Click
        If My.Settings.Cash < 500 Then
            NotEnoughCash()
        Else
            My.Settings.Cash = My.Settings.Cash - 500
            My.Settings.FriendEyeshadowLevel = My.Settings.FriendEyeshadowLevel + 1
            My.Settings.FriendDeathPoints = My.Settings.FriendDeathPoints + 1
            My.Settings.FriendHealthLevel = My.Settings.FriendHealthLevel - 1
            If My.Settings.FriendEyeshadowLevel > 2 Then
                My.Settings.FriendEyeshadowLevel = 2
            End If
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Main_wo_hair
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                TimerWeed.Start()
                pbxMainBody.Image = My.Resources.Main_wo2
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Main_wo3
                TimerWeed.Start()
            End If
            'UpdateLabels()
        End If
    End Sub

    Private Sub btnAsprin_Click(sender As System.Object, e As System.EventArgs) Handles btnAsprin.Click
        If My.Settings.Cash < 999 Then
            NotEnoughCash()
        Else
            My.Settings.Cash = My.Settings.Cash - 999
            My.Settings.FriendEyeshadowLevel = 0
            My.Settings.HappynessLevel = My.Settings.HappynessLevel - 1
            My.Settings.FriendHealthLevel = My.Settings.FriendHealthLevel + 1
            If My.Settings.FriendEyeshadowLevel = 0 Then
                pbxMainBody.Image = My.Resources.Main_wo_hair
            ElseIf My.Settings.FriendEyeshadowLevel = 1 Then
                pbxMainBody.Image = My.Resources.Main_wo2
            ElseIf My.Settings.FriendEyeshadowLevel = 2 Then
                pbxMainBody.Image = My.Resources.Main_wo3
            End If
        End If
        UpdateLabels()
    End Sub

    Public Function NotEnoughCash()
        MsgBox("You don't have enough cash to buy this item.", MsgBoxStyle.Exclamation, "Viritual Friend")
        Return Nothing
    End Function

    Public Function UpdateLabels()
        'Update labels
        lblName.Text = My.Settings.FriendName
        lblAge.Text = My.Settings.FriendAge & " Hours old"
        lblBMI.Text = My.Settings.FriendFatLevel
        lblFatLevel.Text = My.Settings.FriendFatLevel
        lblCash2.Text = My.Settings.Cash & " $"
        lblDeathPoints.Text = My.Settings.FriendDeathPoints
        lblEyeShadowLevel.Text = My.Settings.FriendEyeshadowLevel
        lblTanLevel.Text = My.Settings.FriendTanLevel

        'Update PictureBoxes




        'Happyness Scale from -2 to >3
        If My.Settings.HappynessLevel < -2 Then
            pbxMouth.Image = My.Resources.MainMouthScared
            lblHappyness.Text = "Scared"
        ElseIf My.Settings.HappynessLevel < 0 Then
            pbxMouth.Image = My.Resources.MainMouthSad
            lblHappyness.Text = "Sad"
        ElseIf My.Settings.HappynessLevel = 0 Then
            pbxMouth.Image = My.Resources.MainMouth
            lblHappyness.Text = "Relaxed"
        ElseIf My.Settings.HappynessLevel = 1 Then
            pbxMouth.Image = My.Resources.MainMouthSmile
            lblHappyness.Text = "Happy"
        ElseIf My.Settings.HappynessLevel = 2 Then
            pbxMouth.Image = My.Resources.MainMouthSmile
            lblHappyness.Text = "Very happy"
        ElseIf My.Settings.HappynessLevel = 3 Then
            pbxMouth.Image = My.Resources.MainMouthObs
            lblHappyness.Text = "Agressive"
        ElseIf My.Settings.HappynessLevel > 3 Then
            pbxMouth.Image = My.Resources.MainMouthSmile
            lblHappyness.Text = "Probably on crack!"
        End If
        'Health Scale form -4 to >3
        If My.Settings.FriendHealthLevel = -4 Then
            lblHealth.Text = "Almost dead"
            pbxMouth.Image = My.Resources.MainMouthScared
            My.Settings.FriendEyeshadowLevel = 2
        ElseIf My.Settings.FriendHealthLevel = -3 Then
            lblHealth.Text = "Get a doctor!"
            My.Settings.FriendEyeshadowLevel = 1
        ElseIf My.Settings.FriendHealthLevel = -2 Then
            lblHealth.Text = "Bad"
        ElseIf My.Settings.FriendHealthLevel = -1 Then
            lblHealth.Text = "Sick..."
        ElseIf My.Settings.FriendHealthLevel = 1 Then
            lblHealth.Text = "Average."
        ElseIf My.Settings.FriendHealthLevel = 2 Then
            lblHealth.Text = "Good!"
        ElseIf My.Settings.FriendHealthLevel = 3 Then
            lblHealth.Text = "Great!"
        ElseIf My.Settings.FriendHealthLevel > 3 Then
            lblHealth.Text = "Impressive!"
        End If
        Return Nothing
    End Function

    Private Sub TimerUpdateValues_Tick(sender As System.Object, e As System.EventArgs) Handles TimerUpdateValues.Tick
        'Update values for developer
        lblDeathPoints.Text = My.Settings.FriendDeathPoints
        lblCash.Text = My.Settings.Cash
        lblEyeShadowLevel.Text = My.Settings.FriendEyeshadowLevel
        lblHappynessLevel.Text = My.Settings.HappynessLevel
        lblFatLevel.Text = My.Settings.FriendFatLevel
        lblHealthLevel.Text = My.Settings.FriendHealthLevel
        lblTanLevel.Text = My.Settings.FriendTanLevel

    End Sub

    Private Sub TimerWeed_Tick(sender As System.Object, e As System.EventArgs) Handles TimerWeed.Tick
        pgbWeed.Increment(1)
        If pgbWeed.Value = 1 Then
            pbxMouth.Image = My.Resources.Talk_Mouth_3
            pbxWeed.Visible = True

        ElseIf pgbWeed.Value = 2 Then
            pbxSmoke.Visible = True
            If Preferences.CheckBox1.Checked = True Then
                pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y - 5)
                pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y - 5)
            End If
            ElseIf pgbWeed.Value = 3 Then
                pbxWeed.Image = My.Resources.Weed2
                pbxSmoke.Visible = False
                pbxSmoke2.Visible = True
                pbxMouth.Image = My.Resources.Talk_Mouth_4
                If Preferences.CheckBox1.Checked = True Then
                    pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y - 5)
                    pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y - 5)
                End If
            ElseIf pgbWeed.Value = 4 Then
                pbxWeed.Image = My.Resources.Weed
                pbxSmoke.Visible = True
                pbxSmoke2.Visible = False
                pbxMouth.Image = My.Resources.Talk_Mouth_2
                If Preferences.CheckBox1.Checked = True Then
                    pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y - 1)
                    pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y - 1)
                End If
            ElseIf pgbWeed.Value = 5 Then
                pbxMouth.Image = My.Resources.Talk_Mouth_3
                pbxWeed.Visible = True

            ElseIf pgbWeed.Value = 6 Then
                pbxSmoke.Visible = True

            ElseIf pgbWeed.Value = 7 Then
                pbxWeed.Image = My.Resources.Weed2
                pbxSmoke.Visible = False
                pbxSmoke2.Visible = True
                pbxMouth.Image = My.Resources.Talk_Mouth_4

            ElseIf pgbWeed.Value = 8 Then
                pbxWeed.Image = My.Resources.Weed
                pbxSmoke.Visible = True
                pbxSmoke2.Visible = False
                pbxMouth.Image = My.Resources.Talk_Mouth_2

            ElseIf pgbWeed.Value = 9 Then
                pbxMouth.Image = My.Resources.Talk_Mouth_3
                pbxWeed.Visible = True

            ElseIf pgbWeed.Value = 10 Then
                pbxSmoke.Visible = True

            ElseIf pgbWeed.Value = 11 Then
                pbxWeed.Image = My.Resources.Weed2
                pbxSmoke.Visible = False
                pbxSmoke2.Visible = True
                pbxMouth.Image = My.Resources.Talk_Mouth_4

            ElseIf pgbWeed.Value = 12 Then
                pbxWeed.Image = My.Resources.Weed
                pbxSmoke.Visible = True
                pbxSmoke2.Visible = False
                pbxMouth.Image = My.Resources.Talk_Mouth_2

            ElseIf pgbWeed.Value = 13 Then
                pbxMouth.Image = My.Resources.Talk_Mouth_3
                pbxWeed.Visible = True

            ElseIf pgbWeed.Value = 14 Then
                pbxSmoke.Visible = True

            ElseIf pgbWeed.Value = 15 Then
                pbxWeed.Image = My.Resources.Weed2
                pbxSmoke.Visible = False
                pbxSmoke2.Visible = True
                pbxMouth.Image = My.Resources.Talk_Mouth_4
                If Preferences.CheckBox1.Checked = True Then
                    pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y + 1)
                    pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y + 1)
                End If
            ElseIf pgbWeed.Value = 16 Then
                pbxWeed.Image = My.Resources.Weed
                pbxSmoke.Visible = True
                pbxSmoke2.Visible = False
                pbxMouth.Image = My.Resources.Talk_Mouth_2
                If Preferences.CheckBox1.Checked = True Then
                    pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y + 5)
                    pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y + 5)
                End If
            ElseIf pgbWeed.Value = 17 Then
                pbxWeed.Visible = False
                pbxMouth.Image = My.Resources.MainMouthSmile
                pbxSmoke.Visible = False
                pbxSmoke2.Visible = False
                If Preferences.CheckBox1.Checked = True Then
                    pbxLeftEye.Location = New Point(pbxLeftEye.Location.X, pbxLeftEye.Location.Y + 5)
                    pbxRightEye.Location = New Point(pbxRightEye.Location.X, pbxRightEye.Location.Y + 5)
                End If
                TimerWeed.Stop()
                pgbWeed.Value = 0
                My.Settings.HappynessLevel = My.Settings.HappynessLevel + 2
                UpdateLabels()
            End If
    End Sub

    Private Sub RestartToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RestartToolStripMenuItem.Click
        Dim x
        x = MsgBox("Are you sure you want to restart? Restarting will delete old friend.", MsgBoxStyle.Question + MsgBoxStyle.YesNo, "Restart?")
        If x = vbYes Then
            My.Settings.FriendAge = 0
            My.Settings.FriendName = ""
            My.Settings.FriendDeathPoints = 0
            My.Settings.FriendHealthLevel = 0
            My.Settings.Cash = 2000
            My.Settings.HappynessLevel = 0
            My.Settings.FriendEyeshadowLevel = 0
            My.Settings.FriendTanLevel = 0
            My.Settings.FriendFatLevel = 0
            UpdateLabels()
            MsgBox("Game is reset. Application will close.", MsgBoxStyle.Information, "Viritual Friend")
            Me.Close()
        End If
    End Sub

    Private Sub EnterCheatToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EnterCheatToolStripMenuItem.Click
        Dim x
        x = InputBox("Enter cheat: ")
        If x = "givemoney" Or x = "gm" Then
            My.Settings.Cash = My.Settings.Cash + 10000
            UpdateLabels()
        Else
            MsgBox("The cheat " & x & " does not exist.", MsgBoxStyle.Exclamation, "Cheats")
        End If
    End Sub

    Private Sub PreferencesToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PreferencesToolStripMenuItem.Click
        Preferences.Show()
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub
End Class
